Thunderbird с 60 версии ломает обновления

Здесь можно поговорить о чём угодно и сколько угодно.

Модератор: Модераторы разделов

azsx
Сообщения: 2558
ОС: calculate linux, debian, ubuntu

Thunderbird с 60 версии ломает обновления

Сообщение azsx » 06.12.2018 11:24

Thunderbird решил поддержать традицию ФФ и разогнать пользователей, с 60 версии ломает обновления. Но 130 дополнений уже портировано! Если Ваше дополнение исчезло, они советуют спамом долбить разработчиков.
Некоторые дополнения могут не работать

Из-за значительных изменений, включённых в Thunderbird, версия 60 не будет автоматически загружать дополнение, пока оно не станет отмечено его автором как совместимое. К настоящему времени более 130 дополнений были доработаны для совместимости их авторами, а другие добавляются каждую неделю. Если ваше дополнение несовместимо, пожалуйста, свяжитесь с его автором через сайт или электронную почту для поддержки, которые вы можете найти на веб-сайте обновлений.

(Решение об отключении автоматической совместимости далось нелегко, но этот пользовательский опыт лучше для пользователей, потому что неработающие дополнения не смогут нарушить работу Thunderbird. А чтобы помочь авторам обновить свои дополнения, в Thunderbird были произведены значительные улучшения в планировании и коде с целью уменьшения влияния изменений, унаследованных из Firefox).
зы
знал бы -- не обновлялся. Алтернатив же как я понимаю нет?
Спасибо сказали:

Аватара пользователя
devilr
Сообщения: 1606
ОС: Mandriva => Gentoo (~amd64)

Re: Thunderbird с 60 версии ломает обновления

Сообщение devilr » 06.12.2018 12:25

А разве нельзя установить то, что работало и заблокировать новое, пока всё не устаканится? Подобная же проблема затрагивает далеко на единичных пользователей - должны что-то придумать быстро...
Мудрость приходит с возрастом.
Иногда возраст приходит один.
Спасибо сказали:

azsx
Сообщения: 2558
ОС: calculate linux, debian, ubuntu

Re: Thunderbird с 60 версии ломает обновления

Сообщение azsx » 06.12.2018 12:33

devilr там плагин для меня один "критический" -- это напоминалка по дням. Этот плагин работает.
Кое что осталось, кое что поломалось. Но поломки для меня не настолько важны, чтобы мучаться с поиском старой версии.
Последний раз редактировалось azsx 06.12.2018 12:40, всего редактировалось 1 раз.
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1332
ОС: Fedora 29

Re: Thunderbird с 60 версии ломает обновления

Сообщение Vascom » 06.12.2018 12:37

devilr писал(а):
06.12.2018 12:25
А разве нельзя установить то, что работало и заблокировать новое, пока всё не устаканится? Подобная же проблема затрагивает далеко на единичных пользователей - должны что-то придумать быстро...
Можно. Но если там есть известные уязвимости - опасно.
Спасибо сказали:

Аватара пользователя
devilr
Сообщения: 1606
ОС: Mandriva => Gentoo (~amd64)

Re: Thunderbird с 60 версии ломает обновления

Сообщение devilr » 06.12.2018 12:46

Vascom писал:
06.12.2018 12:37
Можно. Но если там есть известные уязвимости - опасно.
Я говорил за временный откат на старую версию. А там уж либо ждать исправления странных инициатив по навязыванию чего-то-там, либо переезжать на что-то другое. Если есть куда.
Мудрость приходит с возрастом.
Иногда возраст приходит один.
Спасибо сказали: